ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <Jan.Mate...@rzf.fin-nrw.de>
Subject AW: Java version required for trunk
Date Wed, 15 Oct 2008 05:11:53 GMT
>this is not a vote, more of a poll to see whether there'd be a chance
>for consensus.
>
>Ant 1.7.1 dropped support for Java 1.2 somewhat officially, we voted
>to drop support but never made that decision public.
>
>There has been some discussion about dropping support for Java 1.3 in
>trunk.  One of the aguments against it was that 1.4 doesn't offer
>anything new and going from 1.3 to Java5 was too big a step.
>
>Given that nobody of us really works works with Java 1.3 anymore,
>trunk doesn't get tested there at all.  So even if 1.4 doesn't offer
>much, officially dropping support for 1.3 would make us match the
>supported environments to the tested environments more closely.
>
>So what do you think?  Do we want to move to 1.4?  Would you be more
>comfortable with it after a Java 1.3 compatible Ant 1.7.2 with most
>bug fixes from trunk applied?


According to http://java.sun.com/products/archive/eol.policy.html the
end
of lifetime is for
  Java 1.3 : March 2006
  Java 1.4 : April 2008, but most extended EOL (EOSL) April 2018
  Java 5   : June 2009, EOSL June 2019

Because 1.3 is (officially) dead and 1.3-compatibility errors are only
found
by accident, I am for dropping 1.3.

Because we searched often enough which Java version we officialy have to
support, we have to make these information public on a prominent
position.
Stefan already did that: http://ant.apache.org/faq.html#java-version

I would be happy having Java5 for its Generics and Annotations. But
staying on
1.4 would be ok, if we respect the eoSl of Java 1.4. 


>I am in the middle of fixing that, actually.  It's
>just that it's wrapped up with some new changes I have
>pending.

Because Matt is investigating in Java 1.3 compliance I prefer 
  Ant 1.7.1 : Java 1.3
  Ant next  : Java 1.4
  Ant 1.8   : Java 5


Jan

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message